%define name			syncwall
%define version		1.5.1
%define release		%mkrel 1
%define summary		Wallpaper management with synchronization features

Name:			%{name}
Version:		%{version}
Release:		%{release}
Summary:		%{summary}
URL:			http://thehive.xbee.net/index.php?module=pages&func=display&pageid=1
Group:			Graphics
License:		GPL v3
Source:			SyncWall-%{version}.tar.xz
Patch0:			prefix.diff
BuildRequires: 	%{_lib}qt4-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}

%description
SyncWall is quite a basic wallpaper changer with a special feature, it is the ability to 
synchronize wallpaper change between several workstations with a basic (and 
unsecured) client/server protocol. Each workstation must share the same pool of 
files, there is no FTP or Internet download. Another interesting feature is a simple 
multi monitor support. Because SyncWall is written with Qt, it runs on Windows and 
Linux .

%prep
%setup -q -n SyncWall-%{version}
%patch0 -p1

%build
qmake -recursive
make

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/pixmaps
mkdir -p %{buildroot}%{_datadir}/%{name}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1/%{name}

install -m 755 -p SyncWall/build/release/syncwall %{buildroot}%{_bindir}/
install -m 644 -p CREDITS.txt %{buildroot}%{_datadir}/%{name}/
install -m 644 -p README.txt %{buildroot}%{_datadir}/%{name}/
install -m 644 -p AUTHORS.txt %{buildroot}%{_datadir}/%{name}/
install -m 644 -p SyncWall/res/%{name}.png %{buildroot}%{_datadir}/pixmaps/
install -m 644 -p SyncWall/build/syncwall.1.gz %{buildroot}%{_mandir}/man1/%{name}/

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=SyncWall
Comment=%{summary}
Exec=%{name}
Icon=%{name}.png
Terminal=false
Type=Application
StartupNotify=true
Categories=Qt;KDE;System;X-MandrivaLinux-System-Configuration;
EOF

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/%{name}

%changelog
* Wed May 16 2012 Neal <nealbrks0 at gmail dot com> 1.5.1-1pclos2012
- process

* Tue May 15 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 1.5.1-1_archie_2012
- 1.5.1

* Tue Jan 24 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 1.2.0-1_archie_2011
- Initial build

